## texinfo 6.6.0.dfsg.1

=== debian/changelog ===
texinfo (6.6.0.dfsg.1-2) unstable; urgency=medium

  * Use dh_missing instead of dh_install --fail-missing
  * Add Hilmar Preusse to uploaders.
  * Switch from Debian Menu system to Gnome Desktop Files.
  * Add Icon to TeXInfo browser (Closes: #244506).

 -- Hilmar Preusse <hille42@web.de>  Tue, 09 Jul 2019 09:54:04 +0200

texinfo (6.6.0.dfsg.1-1) experimental; urgency=medium

  * New upstream version 6.{6.0,5.9{0,1,2,3}}.dfsg.1
  * update/cleanup patches
  * Fix manual page of texi2any/makeinfo by patching texi2any.pl
    (Closes: #919435)

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Feb 2019 08:21:15 +0900
