## texinfo 6.7.0.dfsg.2

=== debian/changelog ===
texinfo (6.7.0.dfsg.2-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name
    (from ./configure).
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 4.8-2.
  * Update standards version to 4.5.0, no changes needed.
  * Remove Section on info, Section on install-info that duplicate
    source.

 -- Hilmar Preusse <hille42@web.de>  Fri, 08 Jan 2021 22:54:01 +0100

texinfo (6.7.0.dfsg.2-5) unstable; urgency=medium

  * remove provides, doesn't work with breaks of info

 -- Norbert Preining <norbert@preining.info>  Fri, 11 Oct 2019 07:32:01 +0900

texinfo (6.7.0.dfsg.2-4) unstable; urgency=medium

  * info needs to break against ti-doc-nonfree (Closes: #942147)
  * change texinfo/ti-doc-nofree from conflicts to breaks

 -- Norbert Preining <norbert@preining.info>  Fri, 11 Oct 2019 07:20:29 +0900

texinfo (6.7.0.dfsg.2-3) unstable; urgency=medium

  * Disable XS parser again, it is not feature complete.

 -- Norbert Preining <norbert@preining.info>  Wed, 02 Oct 2019 16:30:10 +0900

texinfo (6.7.0.dfsg.2-2) unstable; urgency=medium

  * Enable XS parser by default, can be disabled by setting the
    env var TEXINFO_XS_PARSER to 1.

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Oct 2019 21:22:10 +0900

texinfo (6.7.0.dfsg.2-1) unstable; urgency=medium

  * New upstream version 6.7.0.dfsg.2 which is actually the upstream
    distributed 6.7 -- the documentation is now GFDL without any
    invariant section and thus can be included into main.
  * don't disable info building, docs are now dfsg
  * install info and html documentations into texinfo and info pkgs

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Sep 2019 01:54:56 +0900

texinfo (6.7.0.dfsg.1-1) unstable; urgency=medium

  * Switch to tl-plain-generic instead tl-generic-recommended
  * New upstream version 6.7.0.dfsg.1
  * Remove upstreamed patches

 -- Norbert Preining <norbert@preining.info>  Tue, 24 Sep 2019 08:49:11 +0900

texinfo (6.6.92.dfsg.1-1) unstable; urgency=medium

  * New upstream version 6.6.92.dfsg.1
  * update patches
  * install texinfo-ja, thanks to qykth-git on GH

 -- Norbert Preining <norbert@preining.info>  Fri, 20 Sep 2019 10:23:12 +0900

texinfo (6.6.91.dfsg.1-1) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Use generic icon name for info, drop Recommends against gnome-icon-theme.
    (Closes: #931912).
  * Manual page of info now refers to emacs-common-non-dfsg.
    (Closes: #484303).

  [ Norbert Preining ]
  * Add ConsoleOnly to the info.desktop categories (Closes: #940209)
  * New upstream version 6.6.91.dfsg.1
  * update patches
  * bump standards version, no changes necessary

 -- Norbert Preining <norbert@preining.info>  Thu, 19 Sep 2019 10:51:35 +0900
