=== debian/control ===
Source: texinfo
Section: doc
Priority: standard
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	   Frank Küster <frank@debian.org>,
	   Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 12), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev, desktop-file-utils
Standards-Version: 4.5.0
Vcs-Git: https://github.com/debian-tex/texinfo.git
Vcs-Browser: https://github.com/debian-tex/texinfo
Homepage: https://www.gnu.org/software/texinfo/

Package: texinfo
Section: text
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libtext-unidecode-perl, libxml-libxml-perl, tex-common (>= 6)
Suggests: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended
Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1), texinfo-doc-nonfree
Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0), texinfo-doc-nonfree
Multi-Arch: foreign
Description: Documentation system for on-line information and printed output
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices.
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.

Package: info
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, install-info
Provides: info-browser
Breaks: texinfo-doc-nonfree
Replaces: texinfo (<< 4.7-2), texinfo-doc-nonfree
Multi-Arch: foreign
Description: Standalone GNU Info documentation browser
 The Info file format is an easily-parsable representation for online
 documents. This program allows you to view Info documents, like the
 ones stored in /usr/share/info.
 .
 Much of the software in Debian comes with its online documentation in
 the form of Info files, so it is most likely you will want to install it.

Package: install-info
Priority: important
Architecture: any
Pre-Depends: dpkg (>= 1.16.1)
Replaces: texinfo (<< 4.13a.dfsg.1-2)
Breaks: texinfo (<< 4.13a.dfsg.1-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Manage installed documentation in info format
 The install-info utility creates the index of all installed documentation
 in info format and makes it available to info readers.
