=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # needed for correct building of new texinfo
 DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
 
-DEB_HOST_GNU_TYPE?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 include /usr/share/dpkg/buildflags.mk
 export CPPFLAGS CFLAGS LDFLAGS
@@ -17,6 +17,7 @@
 
 texinfo := $(CURDIR)/debian/texinfo
 ii := $(CURDIR)/debian/install-info
+infopkg := $(CURDIR)/debian/info
 tmpdir := $(CURDIR)/debian/tmp
 
 build: build-arch build-indep
@@ -46,6 +47,9 @@
 	# backup the generated man page texi2dvi.1 and restore it
 	cp man/texi2dvi.1 debian
 	$(MAKE)
+	# build html docs
+	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html info-stnd
+	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html texinfo
 	mv debian/texi2dvi.1 man/
 	touch man/texi2dvi.1
 	# finished
@@ -78,17 +82,20 @@
 	#
 	desktop-file-install --dir=$(tmpdir)/usr/share/applications debian/info.desktop
 	#
-	# clean out .la files as they contain references to libperl 
+	# clean out .la files as they contain references to libperl
 	# which is not necessary
 	sed -i "/dependency_libs/ s/'.*'/''/" `find $(tmpdir) -name '*.la'`
 	#
 	# epsf.tex is in texlive
 	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
 	# install all the files
-	#dh_install --fail-missing --sourcedir=debian/tmp -X share/info
 	dh_install
-	#
 	dh_missing --fail-missing --sourcedir=debian/tmp -X share/info
+	# install html docs
+	mkdir -p $(texinfo)/usr/share/doc/texinfo
+	cp -a doc/texinfo $(texinfo)/usr/share/doc/texinfo/html
+	mkdir -p $(infopkg)/usr/share/doc/info
+	cp -a doc/info-stnd $(infopkg)/usr/share/doc/info/html
 	#
 	# install additional files that are not installed by default
 	install -m 0755 util/txixml2texi $(texinfo)/usr/bin/txixml2texi
