## texinfo 6.8

=== debian/changelog ===
texinfo (6.8-6) unstable; urgency=medium

  * Stop mentioning texinfo-doc-nonfree in README.Debian.
  * "Fix "info" crashes with "aborted" message, in any attempt to run
    it." Add patch from upstream to solve issue. (Closes: #1013283)
  * Upstream patch: Avoid crashes in 'handle_block_command'.

 -- Hilmar Preusse <hille42@web.de>  Sun, 26 Jun 2022 23:04:39 +0200

texinfo (6.8-5) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Switch to dh sequencer in debian/rules. Old build sequence
    still commented.
  * Fix a few lintian complains, add overrides.
  * Replace "which" by "command -v" (Closes: #1003577)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + texinfo: Drop versioned constraint on tex-common in Depends.
    + info: Drop versioned constraint on texinfo in Replaces.
    + install-info: Drop versioned constraint on dpkg in Pre-Depends.
    + install-info: Drop versioned constraint on texinfo in Replaces.
    + install-info: Drop versioned constraint on texinfo in Breaks.
    + Remove 1 maintscript entries from 1 files.

 -- Hilmar Preusse <hille42@web.de>  Fri, 10 Jun 2022 23:26:56 +0200

texinfo (6.8-4) unstable; urgency=medium

  * Add patch texinfo-6.8-undo-gnulib-nonnul.patch to fix build
    failure w/ glibc 2.34 (Closes: #1003483).

 -- Hilmar Preusse <hille42@web.de>  Tue, 11 Jan 2022 10:49:39 +0100

texinfo (6.8-3) unstable; urgency=high

  * Cherry pick patch "Add missing option value 'single'."
    Upstream commit 13a8894fe2 (Closes: #994894).

 -- Hilmar Preusse <hille42@web.de>  Wed, 22 Sep 2021 23:40:10 +0200

texinfo (6.8-2) unstable; urgency=medium

  [ Hilmar Preusse <hille42@web.de> ]
  * Stop calling test suite in debian/rules, use the test suite as
    autopkgtest instead. This should fix build failure on hurd-i386.

  [ Norbert Preining ]
  * Cherry-pick upstream fix for makeinfo reading from - (stdin).

 -- Norbert Preining <norbert@preining.info>  Tue, 21 Sep 2021 21:20:08 +0900

texinfo (6.8-1) experimental; urgency=medium

  [ Marriott NZ <marriott99@gmx.com> ]
  * W: quoted-placeholder-in-mailcap-entry (Closes: #982620)

  [ Norbert Preining ]
  * New upstream version 6.8
  * Adjust patches for new upstream.
  * Recode transition plan to UTF-8.
  * Override incorrect lintian error detection.
  * Drop unneeded autotools-dev B-D.
  * Override lintian warning.
  * Drop outdated make-orig-tar script
  * Disable failing test due to missing locales.

 -- Norbert Preining <norbert@preining.info>  Mon, 05 Jul 2021 06:21:00 +0900
