=== debian/tests/control ===
Tests: test-suite
Depends: build-essential,
	libncurses-dev,
	gettext,
	libtext-unidecode-perl,
	libperl-dev
Restrictions: build-needed
