## texinfo 7.1

=== debian/changelog ===
texinfo (7.1-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 23:49:47 +0000

texinfo (7.1-3build1) noble; urgency=medium

  * No-change rebuild against perlapi-5.38.2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:50:56 +0000

texinfo (7.1-3) unstable; urgency=medium

  * Remove surplus entries from debian/clean.
  * Add "allow-stderr" to test suite (Closes: #1060758).

 -- Hilmar Preusse <hille42@web.de>  Sat, 13 Jan 2024 20:12:32 +0100

texinfo (7.1-2) unstable; urgency=medium

  * obstack alignment patch from upstream. Should fix build failure
    on Sparc64.

 -- Hilmar Preusse <hille42@web.de>  Sun, 19 Nov 2023 00:41:13 +0100

texinfo (7.1-1) unstable; urgency=medium

  * New upstream release, refresh patches.
  * Remove some generated files from built tree during clean. This
    addresses parts of #1046800.

 -- Hilmar Preusse <hille42@web.de>  Sun, 29 Oct 2023 21:57:34 +0000
