=== debian/control ===
--- 
+++ 
@@ -1,12 +1,19 @@
 Source: texinfo
 Section: doc
 Priority: standard
-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
 	   Frank Küster <frank@debian.org>,
 	   Hilmar Preusse <hille42@web.de>
-Build-Depends: debhelper-compat (= 12), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, libperl-dev, desktop-file-utils
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+	libncurses-dev,
+	gettext,
+	libtext-unidecode-perl,
+	help2man,
+	libperl-dev,
+	desktop-file-utils
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/debian-tex/texinfo.git
 Vcs-Browser: https://github.com/debian-tex/texinfo
@@ -15,11 +22,17 @@
 Package: texinfo
 Section: text
 Priority: optional
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libtext-unidecode-perl, libxml-libxml-perl, tex-common
+Architecture: all
+Depends: ${shlibs:Depends},
+	${misc:Depends},
+	${perl:Depends},
+	libtext-unidecode-perl,
+	libxml-libxml-perl,
+	texinfo-lib (>= ${source:Version}),
+	tex-common
 Suggests: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended
-Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1), texinfo-doc-nonfree
-Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0), texinfo-doc-nonfree
+Breaks: texinfo-doc-nonfree
+Replaces: texinfo-doc-nonfree
 Multi-Arch: foreign
 Description: Documentation system for on-line information and printed output
  Texinfo is a documentation system that uses a single source file to
@@ -29,6 +42,26 @@
  of a book, including chapters, sections, cross references, and indices.
  From the same Texinfo source file, you can create a menu-driven, on-line
  Info file with nodes, menus, cross references, and indices.
+
+Package: texinfo-lib
+Section: text
+Priority: optional
+Architecture: any
+Depends: ${shlibs:Depends},
+	${misc:Depends},
+	${perl:Depends}
+Breaks: texinfo-doc-nonfree, texinfo (<= 7.0.1-2)
+Replaces: texinfo-doc-nonfree, texinfo (<= 7.0.1-2)
+Description: Libraries needed by the texinfo package
+ Texinfo is a documentation system that uses a single source file to
+ produce both on-line information and printed output.
+ .
+ Using Texinfo, you can create a printed document with the normal features
+ of a book, including chapters, sections, cross references, and indices.
+ From the same Texinfo source file, you can create a menu-driven, on-line
+ Info file with nodes, menus, cross references, and indices.
+ .
+ This package contains the architecture dependent parts of the texinfo package.
 
 Package: info
 Priority: important
