=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
 	gettext,
 	libtext-unidecode-perl,
 	libperl-dev
-Restrictions: build-needed
+Restrictions: build-needed, allow-stderr
